Mutex Class Reference

`#include <PtexPlatform.h>`

## Public Member Functions

| Mutex ()
| ~Mutex ()
void | lock ()
bool | trylock ()
void | unlock ()

## Private Attributes

pthread_mutex_t | _mutex

## Detailed Description

Definition at line 137 of file PtexPlatform.h.

## Constructor & Destructor Documentation

## Mutex()

Mutex::Mutex | ( |  | ) |

inline

Definition at line 139 of file PtexPlatform.h.

References _mutex.

## ~Mutex()

Mutex::~Mutex | ( |  | ) |

inline

Definition at line 140 of file PtexPlatform.h.

References _mutex.

## Member Function Documentation

## lock()

void Mutex::lock | ( |  | ) |

inline

Definition at line 141 of file PtexPlatform.h.

References _mutex.

## trylock()

bool Mutex::trylock | ( |  | ) |

inline

Definition at line 142 of file PtexPlatform.h.

References _mutex.

Referenced by PtexReaderCache::processMru(), and PtexReader::tryClose().

## unlock()

void Mutex::unlock | ( |  | ) |

inline

Definition at line 143 of file PtexPlatform.h.

References _mutex.

Referenced by PtexReaderCache::processMru(), and PtexReader::tryClose().

## Member Data Documentation

## _mutex

pthread_mutex_t Mutex::_mutex

private

Definition at line 145 of file PtexPlatform.h.

Referenced by lock(), Mutex(), trylock(), unlock(), and ~Mutex().

The documentation for this class was generated from the following file:

- PtexPlatform.h